/**
 * 路由配置
 */
export default [
  {
    path: '/user',
    key: '1',
    component: '../layouts/UserLayout',
    routes: [
      {
        key: '11',
        name: 'sign-up',
        path: '/user/sign-up',
        component: './user/signUp',
      },
    ],
  },
  {
    path: '/demo',
    key: '2',
    component: '../layouts/BlankLayout',
    routes: [
      {
        key: '22',
        path: '/demo',
        component: './demo',
      },
    ],
  },
  {
    path: '/',
    key: '3',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        key: '31',
        component: '../layouts/BasicLayout',
        routes: [
          {
            key: '311',
            path: '/exam',
            // isFull: true, 全屏显示
            component: './exam',
          },
          {
            key: '312',
            path: '/video',
            component: './video',
          },
          {
            key: '313',
            path: '/profile',
            component: './profile',
          },
          {
            key: '314',
            path: '/exam/hospitalFinalExam',
            // isFull: true, 全屏显示
            component: './exam/hospitalFinalExam',
          },
          {
            key: '315',
            path: '/exam/question/list',
            isFull: true,
            component: './exam/question/list',
          },
          {
            key: '316',
            path: '/exam/question/single',
            isFull: true,
            component: './exam/question/single',
          },
          {
            key: '316',
            path: '/exam/question/multiple',
            isFull: true,
            component: './exam/question/multiple',
          },
          {
            key: '316',
            path: '/exam/question/judgment',
            isFull: true,
            component: './exam/question/judgment',
          },
          {
            key: '316',
            path: '/exam/question/completion',
            isFull: true,
            component: './exam/question/completion',
          },
          {
            key: '316',
            path: '/exam/question/short',
            isFull: true,
            component: './exam/question/short',
          },
          {
            key: '316',
            path: '/exam/question/caseChoice',
            isFull: true,
            component: './exam/question/caseChoice',
          },
          {
            key: '316',
            path: '/exam/question/caseMultiple',
            isFull: true,
            component: './exam/question/caseMultiple',
          },
          {
            key: '316',
            path: '/exam/question/b1',
            isFull: true,
            component: './exam/question/b1',
          },
          {
            key: '316',
            path: '/exam/question/argumentation',
            isFull: true,
            component: './exam/question/argumentation',
          },
          {
            key: '316',
            path: '/exam/question/analytical',
            isFull: true,
            component: './exam/question/analytical',
          },
          {
            key: '317',
            path: '/exam/question/submit/analysis/:type',
            isFull: true,
            component: './exam/question/submitAnalysis',
          },
          {
            key: '317',
            path: '/profile/notice',
            isFull: true,
            component: './profile/notice',
          },
          {
            key: '317',
            path: '/profile/order',
            isFull: true,
            component: './profile/order',
          },
        ],
      },
    ],
  },
];
